Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.5.1 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.kit.comm.amiga
Class FaxPortBackEnd

    java.lang.Object
      |
      +--edu.utah.janosvm.sys.Exportable
            |
            +--edu.utah.janosvm.kit.comm.amiga.FaxPortBackEnd

public final class FaxPortBackEnd
extends Exportable

Constructor Summary
`FaxPortBackEnd(SignalSet listener)` Construct a FaxPortBackEnd with the given values.
`FaxPortBackEnd(SignalSet listener, int signalNumber)` Construct a FaxPortBackEnd with the given values.

Method Summary
`Facsimile` | `getFacsimile()`
`int` | `getSignalNumber()`
`void` | `putFacsimile(Facsimile fax)`
`void` | `unbind()`
`Facsimile` | `waitForFacsimile()` Wait for and return the first Facsimile received.

Methods inherited from class edu.utah.janosvm.sys.Exportable
`getAnonymousManager, pushOwnerReservation, returnFromOwner, switchToOwner`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FaxPortBackEnd

    public FaxPortBackEnd(SignalSet listener,
                          int signalNumber)

  Construct a FaxPortBackEnd with the given values.
  Parameters:
    `id` - The identifier to export the FaxPortBackEnd under.
    `listener` - The SignalSet that the FaxPortBackEnd should signal when it receives a fax.
    `signalNumber` - The SignalNumber that the FaxPortBackEnd should signal when it receives a fax.
  Throws:
    Throws - DuplicateExportException if there is already an export with the given identifier.

### FaxPortBackEnd

    public FaxPortBackEnd(SignalSet listener)

  Construct a FaxPortBackEnd with the given values.
  Parameters:
    `id` - The identifier to export the FaxPortBackEnd under.
    `listener` - The SignalSet that the FaxPortBackEnd should signal when it receives a fax.
  Throws:
    Throws - DuplicateExportException if there is already an export with the given identifier.

Method Detail

### getSignalNumber

    public int getSignalNumber()

  Returns:
    The signal number that will get signalled when a fax is received.

### putFacsimile

    public void putFacsimile(Facsimile fax)

  Parameters:
    `fax` - The Facsimile to add to the queue.

### getFacsimile

    public Facsimile getFacsimile()

  Returns:
    The Facsimile at the head of the queue or null if the queue is empty.

### waitForFacsimile

    public Facsimile waitForFacsimile()

  Wait for and return the first Facsimile received.
  Returns:
    The first facsimile.

### unbind

    public void unbind()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.5.1 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2001 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Jun 1, 2001